5.0.1 doesn't update 5.0

Hi!

When running an installer for an application, I expect that the installer updates an older installation of the same application.
The IDEA 5.0.1 doesn't search for an older installation and when manually directed to the right directory fails to recognize it as such and overwrites idea.properties and idea.exe.vmoptions.

AFAIK NSIS is able to recognize older versions. Please make future updates really update older versions.

Cheers,
Robert

3 comments
Comment actions Permalink

YES!!! I completely agree - Idea MUST automatically update the previous version (at least the minor one).
Just upgraded to 5.0.1 from 5.0 and it's pain, as always!
I remembered to back the previous installation up since I'm aware about this awkward update procedure, been there a number of times. But still had to spend time to get all the settings back and restore the project settings that were reset when Idea opened first with settings reset after update.

Comon guys, the update shouldn't be such pain. It's not normal to install every minor upgrade into it's own new folder.

Is there any wish already that I could what for?

0
Comment actions Permalink

Yeah, the upgrade process seems worse for me. When starting up 5.0.1, it asks if there is a previous installation to migrate from. I point to my 5.0 directory, where my settings, etc. are (I don't use the Windows user directories). But it didn't migrate over anything - including my license! It then prompted me to enter my license key. OK, shut it down, grab my old config & systems directories and copy them over - now 5.0.1 is fine but this step, at least, always used to work without difficulty. Then, when uninstalling the old version, the IDEA entry in "control panel/add remove programs" is gone - not a big deal since the uninstall shortcut is there with IDEA but still it doesn't seem necessary. Don't get me wrong - I'm happy with quick releases if bugs are being fixed - but I agree - it's always been too manual - now it seems even more so. Self-updating software is pretty much the norm for most of what I use - would be nice if IDEA could get there too.
Scott

0
Comment actions Permalink

Hello Robert,

RB> When running an installer for an application, I expect that the
RB> installer updates an older installation of the same application.
RB>
RB> The IDEA 5.0.1 doesn't search for an older installation and when
RB> manually directed to the right directory fails to recognize it as
RB> such and overwrites idea.properties and idea.exe.vmoptions.
RB>
RB> AFAIK NSIS is able to recognize older versions. Please make future
RB> updates really update older versions.

Both of these issues (default install path and overwrite of .vmoptions and
.properties files) will be fixed in the upcoming EAP build and in IDEA 5.0.2.

Thanks fro your feedback!

--
Dmitry Jemerov
Software Developer
JetBrains, Inc.
http://www.jetbrains.com
"Develop with pleasure!"




0

Please sign in to leave a comment.